Ticket #13385: trac_13385-prereq.2.patch

File trac_13385-prereq.2.patch, 1.9 KB (added by jhpalmieri, 9 years ago)

for prereq package; for review only

  • configure.ac

    # HG changeset patch
    # User J. H. Palmieri <palmieri@math.washington.edu>
    # Date 1345698740 25200
    # Node ID 4aec323c238a358878c5bd2abe072ad501582be4
    # Parent  1789da930c20e6548d388aedec2ae6c651fb1bb3
    trac 13385: Remove check for openssl.
    
    diff --git a/configure.ac b/configure.ac
    a b then 
    238238    AC_MSG_ERROR([Exiting, since AC_PACKAGE_NAME requires dpkg-architecture on Debian])
    239239fi
    240240
    241 # Next one should check for libraries.
    242 # OpenSSL is a prerequisite for the notebook.
    243 # Before checking OpenSSL, we check for -ldl and -lcrypto (which are
    244 # needed on some systems to link -lssl).
    245 AC_SEARCH_LIBS([dlopen], [dl])
    246 AC_SEARCH_LIBS([CRYPTO_free], [crypto])
    247 AC_CHECK_LIB(ssl, SSL_library_init, [], [
    248     AC_MSG_NOTICE([The OpenSSL library is required to build the Sage Notebook.])
    249     AC_MSG_NOTICE([You might need to execute one of the following (or the equivalent for your])
    250     AC_MSG_NOTICE([operating system):])
    251     AC_MSG_NOTICE([  sudo apt-get install libssl-dev])
    252     AC_MSG_NOTICE([  sudo yum install openssl-devel])
    253     AC_MSG_ERROR([Exiting, since the OpenSSL library was not found.])
    254 ])
    255 
    256 
    257241# Next one should check for header files.
    258242# complex.h is one that might not exist on older systems.
    259243AC_CHECK_HEADER([complex.h],[],[
    260244    AC_MSG_ERROR([Exiting, since you do not have the 'complex.h' header file.])
    261245])
    262246
    263 # The Sage Notebook requires OpenSSL headers.
    264 AC_CHECK_HEADER([openssl/ssl.h],[],[
    265     AC_MSG_NOTICE([The OpenSSL library is required to build the Sage Notebook.])
    266     AC_MSG_NOTICE([You might need to execute one of the following (or the equivalent for your])
    267     AC_MSG_NOTICE([operating system):])
    268     AC_MSG_NOTICE([  sudo apt-get install libssl-dev])
    269     AC_MSG_NOTICE([  sudo yum install openssl-devel])
    270     AC_MSG_ERROR([Exiting, since the OpenSSL headers were not found.])
    271 ])
    272 
    273247# Next one should check for types.
    274248# None needed
    275249